tabw_i
Prev | Orchestra Opcodes and Operators | Next

## tabw_i

tabw_i — Fast table opcodes.

## Description

Fast table opcodes. Faster than tablew because it does not allow wrap-around and limit. Has been implemented in order to provide fast access to arrays.

## Syntax

    tabw_i isig, indx, ifn [,ixmode]

## Initialization

ifn -- table number

ixmode -- defaults to zero. If zero indx range matches the length of the table; if non zero xndx has a 0 to 1 range.

isig -- input value to write.

indx -- table index

## Performance

tabw_i opcode is similar to tablew but is faster, and use rounding of the index.

## See Also

Table Access

## Credits

Written by Gabriel Maldonado.

Prev | Up | Next
tabw | Home | tabifd